import * as i0 from "@angular/core";
export declare class IconComponent {
    /**
     * Variable to choose the sprite of the icons.
     */
    svgType: 'sprite' | 'sprite-color';
    /**
     * Do eventualy Observable 'icon' (path) by Angular OnChanges, to have a better control., and not directly @ HTML:
     */
    _icon: string;
    /**
     * Variable to set the icon name.
     */
    set setIcon(icon: string);
    /**
     * Variable to define if icon have opacity or not.
     */
    withOpacity: boolean;
    /**
     * Pre-defined - see THIS components CSS for the allow types.
     */
    color: 'default' | 'white' | 'black' | 'grey' | 'green-menu';
    /**
     * Pre-defined - see Lightning System CSS for the allow measurements.
     */
    size: 'large' | 'small' | 'x-small' | 'xx-small';
    customColor: any;
    iconPath(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "uno-icon", never, { "svgType": "svgType"; "setIcon": "icon"; "withOpacity": "withOpacity"; "color": "color"; "size": "size"; "customColor": "customColor"; }, {}, never, never>;
}
