import { EventEmitter, OnChanges, ElementRef, AfterViewInit, Renderer2 } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Grid } from '../../lib/grid';
import { ActionCustom } from '../../table.interfaces';
import * as i0 from "@angular/core";
export declare class Ng2SmartTableTheadComponent implements OnChanges, AfterViewInit {
    private elemRef;
    private renderer;
    editingFormGroup: FormGroup;
    grid: Grid;
    createConfirm: EventEmitter<any>;
    updateColumnList: any;
    cancelCreate: EventEmitter<any>;
    sort: EventEmitter<any>;
    selectAllRows: EventEmitter<boolean>;
    create: EventEmitter<any>;
    selectedElem: EventEmitter<any>;
    createSave: EventEmitter<any>;
    filter: EventEmitter<any>;
    getColumnFilters: EventEmitter<string>;
    customAction: EventEmitter<ActionCustom>;
    tableHead: HTMLElement;
    isHideHeader: boolean;
    constructor(elemRef: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Ng2SmartTableTheadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Ng2SmartTableTheadComponent, "[ng2-st-thead]", never, { "editingFormGroup": "editingFormGroup"; "grid": "grid"; "createConfirm": "createConfirm"; "updateColumnList": "updateColumnList"; "cancelCreate": "cancelCreate"; }, { "sort": "sort"; "selectAllRows": "selectAllRows"; "create": "create"; "selectedElem": "selectedElem"; "createSave": "createSave"; "filter": "filter"; "getColumnFilters": "getColumnFilters"; "customAction": "customAction"; }, never, never>;
}
